Skip to main content
GET
/
onboarding
/
agreements
/
{agreementType}
/
{agreementId}
Retrieves the agreement questionnaire of the given agreement type and agreement ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "id": "<string>",
    "legalEntityName": "<string>",
    "signerEmail": "<string>",
    "signerFirstName": "<string>",
    "signerLastName": "<string>",
    "url": "<string>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

agreementType
enum<string>
required

The unique identifier for the agreement type

Available options:
terms
agreementId
string
required

The unique identifier for the agreement ID

Response

Success on fetching KYC agreement

data
GetKYCAgreementResponseData · object
required